Package xg.protocol.messages

# Interface ProtocolPrivMessages.protocolPrivAckOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolPrivMessages.protocolPrivAck`, `ProtocolPrivMessages.protocolPrivAck.Builder`

Enclosing class:
  ProtocolPrivMessages

public static interface ProtocolPrivMessages.protocolPrivAckOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getAccepted()`
When true, the message was accepted and the action was completed.
`ProtocolPrivMessages.protocolPrivAck.denialReason`
`getDenialReason()`
The denial reason, if any
`int`
`getDenialReasonValue()`
The denial reason, if any
`int`
`getSupportedVersion()`
If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAccepted

boolean getAccepted()

     When true, the message was accepted and the action was completed. When false, the denial reason is specified.

`bool accepted = 1;`

Returns:
  The accepted.

### getDenialReasonValue

int getDenialReasonValue()

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Returns:
  The enum numeric value on the wire for denialReason.

### getDenialReason

ProtocolPrivMessages.protocolPrivAck.denialReason getDenialReason()

     The denial reason, if any

`.xg.protocol.messages.protocolPrivAck.denialReason denial_reason = 2;`

Returns:
  The denialReason.

### getSupportedVersion

int getSupportedVersion()

     If denial reason is UNHANDLEABLE_VERSION or UNSUPPORTED_PROTOCOL_VERSION, this field indicates the version the receiver would accept

`uint32 supported_version = 3;`

Returns:
  The supportedVersion.